import MainLayout from '@/layout/main/MainLayout.vue';

const router = {
    path: '/authority',
    component: MainLayout,
    name: '/authority',
    redirect: '/authority/role',
    meta: {
        title: '权限管理',
        icon: 'table',
        routerGuard: true,
        i18n:`权限管理`
    },
    children: [{
      path: 'role',
      name: '/authority/role',
      component: () => import(/* webpackChunkName: "list" */ '@/views/list/Query.vue'),
      meta: {
        title: '角色配置',
        routerGuard: true,
        i18n:`menu.list.role`
      },
    },
    {
      path: 'menu',
      name: '/authority/menu',
      component: () => import(/* webpackChunkName: "list" */ '@/views/list/Menu.vue'),
      meta: {
        title: '菜单配置',
        routerGuard: true,
        i18n:`menu.list.menu`
      },
    },
    {
      path: 'unit',
      name: '/authority/unit',
      component: () => import('@/views/list/Unit.vue'),
      meta: {
        title: '责任单位维护',
        routerGuard: true,
        i18n:`menu.list.unit`
      },
    }
  ],
};

export default router;
